/*====================================================================

This file was produced by the OpenCCM CIF_JIMPL generator.

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2003 INRIA - USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Demarey.
Contributor(s): ______________________________________.

====================================================================*/

package ist.coach.itut_q816Components.ChannelFinderProviderComposition;

import java.util.Hashtable;


/**
 *  This is the CIDL-based implementation of the
 *  OMG IDL3 IDL:coach.ist/itut_q816Components/ChannelFinderProvider:1.0 component type.
 *
 *  @author OpenCCM CIF_Jimpl Compiler.
 */
public class ChannelFinderProviderImpl
     extends ist.coach.itut_q816Components.ChannelFinderProviderComposition.ChannelFinderProvider_impl
{
    // ==================================================================
    //
    // Internal states.
    //
    // ==================================================================
	/** Business logic **/
	protected static Hashtable channels = null;
    // ==================================================================
    //
    // Constructors.
    //
    // ==================================================================

    public ChannelFinderProviderImpl()
    {
	    channels = new Hashtable();
    }
	// ==================================================================
    //
    // Methods for the OMG IDL Components::EnterpriseComponent local interface.
    //
    // ==================================================================
    //
    //  IDL:omg.org/Components/EnterpriseComponent/configuration_complete:1.0
    //
    /**
     **  Completes the component configuration.
     **
     **  @throws org.omg.Components.InvalidConfiguration
     **          Thrown if the configuration is invalid.
     **/
    public void
    configuration_complete()
    throws org.omg.Components.InvalidConfiguration
    {
        //
        //  DONE : implement !!!
        //
        System.err.println("ChannelFinderProvider configuration completed...");

    }
    // ==================================================================
    //
    // Methods.
    //
    // ==================================================================

}
