package ist.coach.coachEmsMibComponents.LogicalInterfaceProviderComposition;

import org.omg.CosNaming.NameComponent;
import intt.itu.itut_x780.SourceIndicatorType;

public 	class LogicalInterfaceDataStructure {

		public int ifIndex;
		public NameComponent [] name;
		public String objectclass;
		public String [] packages;
		public SourceIndicatorType sourceIndicator;
		public short deletePolicy;
		//public NameComponent [] supportedByObjectList;

		private int notificationIdentifier;
		private String mgmtIpAddress;
		private int snmpPort;
		private int supportedSnmpVersions;
		private String ifDescr;

		public LogicalInterfaceDataStructure() {}

		public LogicalInterfaceDataStructure(
			int ifIndex,
			NameComponent [] name,
			String objectclass,
			String [] packages,
			SourceIndicatorType sourceIndicator,
			short deletePolicy,
			//NameComponent [] supportedByObjectList,
			String mgmtIpAddress,
			int snmpPort,
			int supportedSnmpVersions,
			String ifDescr) {

			this.ifIndex = ifIndex;
			this.name = name;
			this.objectclass = objectclass;
			this.packages = packages;
			this.sourceIndicator = sourceIndicator;
			this.deletePolicy = deletePolicy;
//			this.supportedByObjectList = supportedByObjectList;
			this.notificationIdentifier = 0;
			this.mgmtIpAddress = mgmtIpAddress;
			this.snmpPort = snmpPort;
			this.supportedSnmpVersions = supportedSnmpVersions;
			this.ifDescr = ifDescr;
		}

		public int getUniqueNotificationIdentifier() {

			notificationIdentifier++;

			return (notificationIdentifier);
		}

		public int getifIndex() {
			return ifIndex;
		}

		public String getObjectClass() {
			return objectclass;
		}

		public NameComponent []  getName() {
			return name;
		}

		public String[] getPackages() {
			return packages;
		}

		public SourceIndicatorType getSourceIndicator() {
			return sourceIndicator;
		}

		public short getDeletePolicy() {
			return deletePolicy;
		}

		public String getMgmtIpAddress() {
			return mgmtIpAddress;
		}

		public int getSnmpPort() {
			return snmpPort;
		}

		public int getSupportedSnmpVersions() {
			return supportedSnmpVersions;
		}

		public String getIfDescr() {
			return ifDescr;
		}
	}
