package org.objectweb.util.browser.plugins.java.browser;

/** The console's imports */
import org.objectweb.util.browser.api.ExtendedActionListener;
import org.objectweb.util.browser.api.ExtendedActionEvent;
import org.objectweb.util.browser.gui.common.TreeView;
import org.objectweb.util.browser.naming.api.ContextContainer;
import org.objectweb.util.browser.naming.api.Entry;

public class RemoveFromContextAction 
    implements ExtendedActionListener {

    public void actionPerformed(ExtendedActionEvent e) {
        TreeView treeView = e.getTreeView();
        if (treeView != null) {
            Entry entry = treeView.getEntry();
            String value = entry.getOWName().getOWId();
            ContextContainer context = (ContextContainer) treeView.getParentValue();
            context.removeEntry(value);
        }
    }

}
