/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2003 USTL - LIFL - GOAL
Contact: openccm-team@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): offroy ________________________.
Contributor(s): ______________________________________.

====================================================================*/

package org.omg.lifl.eclipse.plugin.project.OpenCCM.utils;

import java.util.HashMap;

/**
 * This class ...
 *
 * @author offroy@lifl.fr
 *
 * @version 0.1
 */
public class TagGroup {
    
    private HashMap theTags = new HashMap();
    private int nbEntry = 0;
        
    public TagGroup(String tabTag[], String tabValue[]){
        for (int i=0 ; i < tabTag.length; i++)
            theTags.put(tabTag[i],tabValue[i]);
        setNbEntry(tabTag.length);
    }
    /**
     * @return
     */
    public int getNbEntry() {
        return nbEntry;
    }

    /**
     * @param i
     */
    public void setNbEntry(int i) {
        nbEntry = i;
    }

    /**
     * @return
     */
    public HashMap getTheTags() {
        return theTags;
    }

    /**
     * @param map
     */
    public void setTheTags(HashMap map) {
        theTags = map;
    }

}
