package ist.coach.coachEmfCommon;

public class ManagedElementValueTypeFactory
implements org.omg.CORBA.portable.ValueFactory {

   // ==================================================================
    //
    // Internal state.
    //
    // ==================================================================

    // ==================================================================
    //
    // Constructor.
    //
    // ==================================================================

    /**
     **  The default constructor.
     **/
    public
    ManagedElementValueTypeFactory() {}

    // ==================================================================
    //
    // Internal methods.
    //
    // ==================================================================

    // ==================================================================
    //
    //  Public methods.
    // ==================================================================

        // ==================================================================
    //
    // Methods for the org.omg.CORBA.portable.ValueFactory interface.
    //
    // ==================================================================

    /**
     **  Read a Components::ConnectionDescription from a CORBA input stream.
     **
     **  @param in The CORBA input stream.
     **
     **  @return The valuetype.
     **/
    public java.io.Serializable
    read_value(org.omg.CORBA_2_3.portable.InputStream in)
    {
        java.io.Serializable v = new ManagedElementValueTypeImpl();
        return in.read_value(v);
    }


    // ==================================================================
    //
    // Public static methods.
    //
    // ==================================================================

    /**
     * Register the value type factory on the ORB.
     */
    public static void

    register() {

        org.objectweb.ccm.Components.Runtime.register_value_factory(
           intt.itu.itut_m3120.ManagedElementValueTypeHelper.id(),
          new ManagedElementValueTypeFactory());
    }
}

