#! /bin/sh -f
# ==================================================================== 
#                                                                      
# ObjectWeb Util Package                                               
# Copyright (C) 2000-2004 INRIA - USTL - LIFL - GOAL                   
# Contact: openccm@objectweb.org                                       
#                                                                      
# This library is free software; you can redistribute it and/or        
# modify it under the terms of the GNU Lesser General Public           
# License as published by the Free Software Foundation; either         
# version 2.1 of the License, or any later version.                    
#                                                                      
# This library is distributed in the hope that it will be useful,      
# but WITHOUT ANY WARRANTY; without even the implied warranty of       
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     
# Lesser General Public License for more details.                      
#                                                                      
# You should have received a copy of the GNU Lesser General Public     
# License along with this library; if not, write to the Free Software  
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 
# USA                                                                  
#                                                                      
# Initial developer(s): Romain Rouvoy                                  
# Contributor(s):                                                      
#                                                                      
# ==================================================================== 
# $Id: envi.launcher.sh,v 1.2 2004/02/06 17:30:58 rouvoy Exp $ 
# ==================================================================== 

#
# Add binaries directory to the PATH.
#
if test "${PATH}" = ""
then
	PATH=@BIN_DIR@
else
	PATH=${PATH}:@BIN_DIR@
fi
export PATH

#
# Add libraries directory to the CLASSPATH.
#
if test "${CLASSPATH}" = ""
then
	CLASSPATH=@LIB_DIR@
else
	CLASSPATH=${CLASSPATH}:@LIB_DIR@
fi
export CLASSPATH
